	<?php
	/**
	* Created by PhpStorm.
	* User: ahmad
	* Date: 20/08/2019
	* Time: 11:48 AM
	*/

	require_once("../connection.php");
	
					$key=mysqli_real_escape_string($connect, $_GET['key']);
					$id_customer=mysqli_real_escape_string($connect, $_GET['id_customer']);

	$getusers	= mysqli_query($connect,"SELECT * FROM users WHERE id_session='$key'");
	$u	   		= mysqli_fetch_array($getusers);
	$count   	= mysqli_num_rows($getusers);
	
	
	$masterakun = mysqli_query($connect,"SELECT * FROM users WHERE phone_number='$u[master]'");
	$m=mysqli_fetch_array($masterakun);

	if ($count > 0){
	$query = "SELECT * FROM medical_record WHERE id_customer='$id_customer' ORDER BY id_medical_record DESC";
	$hasil = mysqli_query($connect,$query);


	if(mysqli_num_rows($hasil) > 0 ){
  $response = array(
    'status' 	=> 'true',
    'errCode' 	=> '01',
	'msg' 		=> 'Success'
   );
  $response["data"] = array();
  while($x = mysqli_fetch_array($hasil)){
	  
	$opeator = mysqli_query($connect,"SELECT * FROM users WHERE phone_number='$x[operator]'");
	$b=mysqli_fetch_array($opeator);
	  
	$customer = mysqli_query($connect,"SELECT * FROM customer WHERE id_customer='$x[id_customer]'");
	$c=mysqli_fetch_array($customer);
	  
    $h['no_invoice'] = $x["no_invoice"];
    $h['name_customer'] = $c["name_customer"];
    $h['date'] = $x["date"];
    $h['complaint'] = "$x[complaint]";
    $h['advice'] = $x['advice'];
    $h['operator'] = $b['full_name'];
    array_push($response["data"], $h);
  }
  echo json_encode($response);
	}else {
  $response = array(
    'status' 	=> 'true',
    'errCode' 	=> '02',
	'msg' 		=> 'no data'
   );
  echo json_encode($response);
	}

	}else{
	
	
	$json = array(
    'status' 	=> 'true',
    'errCode' 	=> '00',
	'msg' 		=> 'User Not Found'
	);

    echo json_encode($json);	
	}
	?>